summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
Diffstat (limited to 'desktop')
-rw-r--r--desktop/LX-Colors-Revival/LX-Colors-Revival.SlackBuild77
-rw-r--r--desktop/LX-Colors-Revival/LX-Colors-Revival.info22
-rw-r--r--desktop/LX-Colors-Revival/README22
-rw-r--r--desktop/LX-Colors-Revival/doinst.sh9
-rw-r--r--desktop/LX-Colors-Revival/slack-desc19
5 files changed, 149 insertions, 0 deletions
diff --git a/desktop/LX-Colors-Revival/LX-Colors-Revival.SlackBuild b/desktop/LX-Colors-Revival/LX-Colors-Revival.SlackBuild
new file mode 100644
index 0000000000..f3dcb97975
--- /dev/null
+++ b/desktop/LX-Colors-Revival/LX-Colors-Revival.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for LX-Colors-Revival.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=LX-Colors-Revival
+VERSION=${VERSION:-20160602}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+ICONS="GNOME-Colors-Revival"
+
+THEME1="LX-Pitchdark-Series"
+THEME2="LX-NeoShiki-Series"
+THEME3="LX-Mixed-Series"
+THEME4="LX-Light-Series"
+
+WALLS1="Arc-Colors-Revival"
+WALLS2="Mobile-Colors"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$ICONS.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$THEME1.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$THEME2.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$THEME3.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$THEME4.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$WALLS1.tar.gz -C $PRGNAM-$VERSION
+tar xvf $CWD/$WALLS2.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/share/{icons,themes,wallpapers}
+mv gnome-* $PKG/usr/share/icons/
+mv Arc-Colors Mobile* $PKG/usr/share/wallpapers/
+mv * $PKG/usr/share/themes/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/LX-Colors-Revival/LX-Colors-Revival.info b/desktop/LX-Colors-Revival/LX-Colors-Revival.info
new file mode 100644
index 0000000000..cad1628ce9
--- /dev/null
+++ b/desktop/LX-Colors-Revival/LX-Colors-Revival.info
@@ -0,0 +1,22 @@
+PRGNAM="LX-Colors-Revival"
+VERSION="20160602"
+HOMEPAGE="https://www.box-look.org/p/1107240/"
+DOWNLOAD="https://www.dropbox.com/s/g7nn3xebp0j0te9/Mobile-Colors.tar.gz \
+ https://www.dropbox.com/s/2pwzmp7ss494f6t/Arc-Colors-Revival.tar.gz \
+ https://www.dropbox.com/s/idrz359nc0rd26o/GNOME-Colors-Revival.tar.gz \
+ https://www.dropbox.com/s/6ihjlsj8way03cx/LX-Pitchdark-Series.tar.gz \
+ https://www.dropbox.com/s/tmvpad93466o6ko/LX-NeoShiki-Series.tar.gz \
+ https://www.dropbox.com/s/841ufdtmtuhjkr1/LX-Mixed-Series.tar.gz \
+ https://www.dropbox.com/s/onrovn1tc8uigrk/LX-Light-Series.tar.gz"
+MD5SUM="4b7e35c8853edfbec3102726749ca122 \
+ ec776752c599d4416ace517d14af8581 \
+ 474bd9a6328cc1ffa8c596a6d0b92267 \
+ fb1d4e94d3d9fd13502e7691d8f9847b \
+ 55338e79e841855adead3cd9797dbe77 \
+ eb2a53642f0a0a05ad3c04bcf5201839 \
+ 28cb0781053ad397aa4ee0c4b062cae8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/LX-Colors-Revival/README b/desktop/LX-Colors-Revival/README
new file mode 100644
index 0000000000..e814466c6d
--- /dev/null
+++ b/desktop/LX-Colors-Revival/README
@@ -0,0 +1,22 @@
+LX-Colors-Revival (GTK2/GTK3/Openbox themes)
+
+This is an update to the LX-Colors theme series and now compatible
+with GTK 3.20. This is an attempt to keep the legendary Shiki-Colors
+theme series alive, in four variations, such as Light, Mixed (light,
+but with dark menus), NeoShiki (the LXDE/Openbox successor to
+Shiki-Colors), and Pitchdark (all-dark variations).
+
+New features in this edition includes:
+
+ * Two new color schemes: Carbonite (dark gray) and Tribute
+(light gray, kinda gold-ish)
+ * An update to the GNOME-Colors icon theme series that now includes
+the new aforementioned colors, created by Kylie McClain of Somasis.com.
+Please give her some love and thank her for her hard work.
+ * In addition the classic Arc-Colors wallpapers, I've also resized
+them for smartphones and have called the smartphone versions of those
+wallpapers just simply "Mobile-Colors"
+
+* This package is compatible with "old" LX-Colors-themes.
+
+Optional dependencies: gtk-engines, murrine.
diff --git a/desktop/LX-Colors-Revival/doinst.sh b/desktop/LX-Colors-Revival/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/desktop/LX-Colors-Revival/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/LX-Colors-Revival/slack-desc b/desktop/LX-Colors-Revival/slack-desc
new file mode 100644
index 0000000000..6b6198c4d7
--- /dev/null
+++ b/desktop/LX-Colors-Revival/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+LX-Colors-Revival: LX-Colors-Revival (GTK2/GTK3/Openbox themes)
+LX-Colors-Revival:
+LX-Colors-Revival: This is an update to the LX-Colors theme series and now compatible
+LX-Colors-Revival: with GTK 3.20. This is an attempt to keep the legendary Shiki-Colors
+LX-Colors-Revival: theme series alive, in four variations, such as Light, Mixed (light,
+LX-Colors-Revival: but with dark menus), NeoShiki (the LXDE/Openbox successor to
+LX-Colors-Revival: Shiki-Colors), and Pitchdark (all-dark variations).
+LX-Colors-Revival:
+LX-Colors-Revival: Home page: https://www.box-look.org/p/1107240/
+LX-Colors-Revival:
+LX-Colors-Revival: